summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>1999-12-13 13:27:58 +0000
committerAndrew Tridgell <tridge@samba.org>1999-12-13 13:27:58 +0000
commit3db52feb1f3b2c07ce0b06ad4a7099fa6efe3fc7 (patch)
tree866dd15416c3d8554bb207709f433a87ad0c012d /source3/script
parentf6276724bafdb6145c0c7b565172d80cb04516ea (diff)
downloadsamba-3db52feb1f3b2c07ce0b06ad4a7099fa6efe3fc7.tar.gz
samba-3db52feb1f3b2c07ce0b06ad4a7099fa6efe3fc7.tar.bz2
samba-3db52feb1f3b2c07ce0b06ad4a7099fa6efe3fc7.zip
first pass at updating head branch to be to be the same as the SAMBA_2_0 branch
(This used to be commit 453a822a76780063dff23526c35408866d0c0154)
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/installbin.sh7
-rwxr-xr-xsource3/script/installcp.sh10
-rwxr-xr-xsource3/script/installscripts.sh1
-rwxr-xr-xsource3/script/installswat.sh2
-rwxr-xr-xsource3/script/makeyodldocs.sh10
-rw-r--r--source3/script/mkproto.awk14
-rw-r--r--source3/script/smbtar11
7 files changed, 27 insertions, 28 deletions
diff --git a/source3/script/installbin.sh b/source3/script/installbin.sh
index 22771ce5a0..69cca94295 100755
--- a/source3/script/installbin.sh
+++ b/source3/script/installbin.sh
@@ -26,10 +26,16 @@ for p in $*; do
p2=`basename $p`
echo Installing $p as $BINDIR/$p2
if [ -f $BINDIR/$p2 ]; then
+ rm -f $BINDIR/$p2.old
mv $BINDIR/$p2 $BINDIR/$p2.old
fi
cp $p $BINDIR/
chmod $INSTALLPERMS $BINDIR/$p2
+
+ # this is a special case, mount needs this in a specific location
+ if [ $p2 = smbmount ]; then
+ ln -sf $BINDIR/$p2 /sbin/mount.smbfs
+ fi
done
@@ -43,4 +49,3 @@ binaries, man pages and shell scripts.
EOF
exit 0
-
diff --git a/source3/script/installcp.sh b/source3/script/installcp.sh
index 87b0ef1a8a..d0c5bf8ecc 100755
--- a/source3/script/installcp.sh
+++ b/source3/script/installcp.sh
@@ -21,8 +21,14 @@ fi
done
for p in $*; do
- echo Creating codepage file $CODEPAGEDIR/codepage.$p
- $BINDIR/make_smbcodepage c $p ${srcdir}/codepages/codepage_def.$p $CODEPAGEDIR/codepage.$p
+ if [ -f ${srcdir}/codepages/codepage_def.$p ]; then
+ echo Creating codepage file $CODEPAGEDIR/codepage.$p
+ $BINDIR/make_smbcodepage c $p ${srcdir}/codepages/codepage_def.$p $CODEPAGEDIR/codepage.$p
+ fi
+ if [ -f ${srcdir}/codepages/CP${p}.TXT ]; then
+ echo Creating unicode map $CODEPAGEDIR/unicode_map.$p
+ $BINDIR/make_unicodemap $p ${srcdir}/codepages/CP${p}.TXT $CODEPAGEDIR/unicode_map.$p
+ fi
done
diff --git a/source3/script/installscripts.sh b/source3/script/installscripts.sh
index 6d55317e9e..bff5423e7c 100755
--- a/source3/script/installscripts.sh
+++ b/source3/script/installscripts.sh
@@ -25,6 +25,7 @@ for p in $*; do
p2=`basename $p`
echo Installing $BINDIR/$p2
if [ -f $BINDIR/$p2 ]; then
+ rm -f $BINDIR/$p2.old
mv $BINDIR/$p2 $BINDIR/$p2.old
fi
cp $p $BINDIR/
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index cc2ab943d9..ab760cb545 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -6,7 +6,7 @@ SRCDIR=$2/
echo Installing SWAT in $SWATDIR
-echo Installing the Samba Web Admisistration Tool
+echo Installing the Samba Web Administration Tool
for d in $SWATDIR $SWATDIR/help $SWATDIR/images $SWATDIR/include; do
if [ ! -d $d ]; then
diff --git a/source3/script/makeyodldocs.sh b/source3/script/makeyodldocs.sh
index c943224fe5..d0abaab7ae 100755
--- a/source3/script/makeyodldocs.sh
+++ b/source3/script/makeyodldocs.sh
@@ -55,16 +55,8 @@ do
exit 1
fi
cp $bn.html ../htmldocs || echo "Cannot create $YODLDIR/../htmldocs/$bn.html"
-#
-# Copy to SWAT directory.
-#
- if [ $bn = "smb.conf.5" ]; then
- rm -f ../../swat/help/smb.conf.5.html || echo "Cannot remove ../../swat/help/smb.conf.5.html"
-
- cp $bn.html ../../swat/help || echo "Cannot copy smb.conf.5.html to ../../swat/help/smb.conf.5.html"
- fi
rm -f $bn.html
- ;;
+ ;;
*)
#
# Non man-page YODL docs - just make html and text.
diff --git a/source3/script/mkproto.awk b/source3/script/mkproto.awk
index b286e1f7db..923624c3a2 100644
--- a/source3/script/mkproto.awk
+++ b/source3/script/mkproto.awk
@@ -90,23 +90,15 @@ END {
{
gotstart = 0;
- if( $0 ~ /^connection_struct|^LOCAL_GRP|^DOMAIN_GRP|^pipes_struct|^file_fd_struct|^files_struct|^connection_struct|^uid_t|^gid_t|^unsigned|^mode_t|^DIR|^user|^int|^pid_t|^ino_t|^off_t/ ) {
+ if( $0 ~ /^connection_struct|^pipes_struct|^file_fd_struct|^files_struct|^connection_struct|^uid_t|^gid_t|^unsigned|^mode_t|^DIR|^user|^int|^pid_t|^ino_t|^off_t/ ) {
gotstart = 1;
}
- if( $0 ~ /^JOB_INFO_1|^JOB_INFO_2/ ) {
+ if( $0 ~ /^LOCAL_GRP|^DOMAIN_GRP|^SMB_STRUCT_DIRENT|^SEC_ACL|^SEC_DESC|^SEC_DESC_BUF|^DOM_SID/ ) {
gotstart = 1;
}
- if( $0 ~ /^PRINTER_INFO_1|^PRINTER_INFO_2/ ) {
- gotstart = 1;
- }
-
- if( $0 ~ /^UNISTR2|^LOCAL_GRP|^DOMAIN_GRP|^DOM_SID|^SEC_DESC/ ) {
- gotstart = 1;
- }
-
- if( $0 ~ /^const|^long|^char|^uint|^struct|^BOOL|^void|^time|^smb_shm_offset_t|^shm_offset_t|^enum remote_arch_types|^FILE|^SMB_OFF_T|^size_t|^ssize_t|^SMB_BIG_UINT|dbg_Token/ ) {
+ if( $0 ~ /^long|^char|^uint|^struct|^BOOL|^void|^time|^smb_shm_offset_t|^shm_offset_t|^enum remote_arch_types|^FILE|^SMB_OFF_T|^size_t|^ssize_t|^SMB_BIG_UINT/ ) {
gotstart = 1;
}
if(!gotstart) {
diff --git a/source3/script/smbtar b/source3/script/smbtar
index f04eddc32b..cf3ff0ebe6 100644
--- a/source3/script/smbtar
+++ b/source3/script/smbtar
@@ -30,7 +30,9 @@ username=$LOGNAME # Default: same user name as in *nix
verbose="2>/dev/null" # Default: no echo to stdout
log="-d 2"
newer=""
+newerarg=""
blocksize=""
+blocksizearg=""
clientargs="-c 'tarmode full'"
tarcmd="c"
tarargs=""
@@ -62,7 +64,7 @@ Options: (Description) (Default)
exit $ex
}
-echo Params count: $#
+# echo Params count: $#
# DEC OSF AKA Digital UNIX does not seem to return a value in OPTIND if
# there are no command line params, so protect us against that ...
@@ -97,7 +99,7 @@ while getopts riavl:b:d:N:s:p:x:u:Xt: c; do
N) # compare with a file, test if [n]ewer
if [ -f $OPTARG ]; then
newer=$OPTARG
- tarargs=${tarargs}N
+ newerarg="N"
else
echo >&2 $0: Warning, $OPTARG not found
fi
@@ -115,7 +117,7 @@ while getopts riavl:b:d:N:s:p:x:u:Xt: c; do
*) echo >&2 "$0: Error, block size not numeric: -b $OPTARG"
exit 1
esac
- tarargs=${tarargs}b
+ blocksizearg="b"
;;
p) # specify [p]assword to use
password="$OPTARG"
@@ -155,7 +157,8 @@ if [ -z "$verbose" ]; then
echo "blocksize is $blocksize"
fi
+tarargs=${tarargs}${blocksizearg}${newerarg}
+
eval $SMBCLIENT "'\\\\$server\\$service'" "'$password'" -U "'$username'" \
-E -N $log -D "'$cdcmd'" ${clientargs} \
-T${tarcmd}${tarargs} $blocksize $newer $tapefile '${1+"$@"}' $verbose
-